You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@pinot.apache.org by si...@apache.org on 2020/10/28 05:07:03 UTC

[incubator-pinot] 02/02: Modify .travis_install.sh

This is an automated email from the ASF dual-hosted git repository.

siddteotia pushed a commit to branch hotfixtextindex
in repository https://gitbox.apache.org/repos/asf/incubator-pinot.git

commit 16bbbe2d99a55e63939e210a45431c832a12baf3
Author: Jack Li(Analytics Engineering) <jl...@jlli-mn1.linkedin.biz>
AuthorDate: Mon Oct 26 22:34:33 2020 -0700

    Modify .travis_install.sh
---
 .travis/.travis_install.sh       | 13 ++++++++++---
 .travis/.travis_nightly_build.sh |  2 +-
 2 files changed, 11 insertions(+), 4 deletions(-)

diff --git a/.travis/.travis_install.sh b/.travis/.travis_install.sh
index 5b676cc..15576d5 100755
--- a/.travis/.travis_install.sh
+++ b/.travis/.travis_install.sh
@@ -49,17 +49,24 @@ java -version
 if [ $noThirdEyeChange -ne 0 ]; then
   echo "Full Pinot build"
   echo "No ThirdEye changes"
+
+#  echo "Fixing git setup for $TRAVIS_BRANCH"
+#  git checkout ${TRAVIS_BRANCH}
+#  git branch -u origin/${TRAVIS_BRANCH}
+#  git config branch.${TRAVIS_BRANCH}.remote origin
+#  git config branch.${TRAVIS_BRANCH}.merge refs/heads/${TRAVIS_BRANCH}
+
   if [ "$TRAVIS_JDK_VERSION" != 'oraclejdk8' ]; then
     # JDK 11 prints more logs exceeding Travis limits.
-    mvn clean install -B -DskipTests=true -Pbin-dist -Dmaven.javadoc.skip=true ${DEPLOY_BUILD_OPTS} ${KAFKA_BUILD_OPTS} > /tmp/mvn_build_log
+    mvn clean install -B -DscmBranch="${TRAVIS_BRANCH}" -DskipTests=true -Pbin-dist -Dmaven.javadoc.skip=true ${KAFKA_BUILD_OPTS} > /tmp/mvn_build_log
     if [ $? -eq 0 ]; then
       exit 0
     else
-      tail -1000 /tmp/mvn_build_log
+      cat /tmp/mvn_build_log
       exit 1
     fi
   else
-    mvn clean install -B -DskipTests=true -Pbin-dist -Dmaven.javadoc.skip=true ${DEPLOY_BUILD_OPTS} ${KAFKA_BUILD_OPTS} || exit $?
+    mvn clean install -B -DscmBranch="${TRAVIS_BRANCH}" -DskipTests=true -Pbin-dist -Dmaven.javadoc.skip=true ${KAFKA_BUILD_OPTS} || exit $?
   fi
 fi
 
diff --git a/.travis/.travis_nightly_build.sh b/.travis/.travis_nightly_build.sh
index 602a4bf..27f9447 100755
--- a/.travis/.travis_nightly_build.sh
+++ b/.travis/.travis_nightly_build.sh
@@ -27,5 +27,5 @@ if [ -n "${DEPLOY_BUILD_OPTS}" ]; then
   mvn versions:commit -q -B
 
   # Deploy to bintray
-  mvn deploy -s .travis/.ci.settings.xml -DskipTests -q -DretryFailedDeploymentCount=5 -DaltDeploymentRepository=bintray-linkedin-maven::default::'https://api.bintray.com/maven/linkedin/maven/pinot/;publish=1;override=1'
+  mvn deploy -s .travis/.ci.settings.xml -DscmBranch="${TRAVIS_BRANCH}" -DskipTests -q -DretryFailedDeploymentCount=5 -DaltDeploymentRepository=bintray-linkedin-maven::default::'https://api.bintray.com/maven/linkedin/maven/pinot/;publish=1;override=1'
 fi


---------------------------------------------------------------------
To unsubscribe, e-mail: commits-unsubscribe@pinot.apache.org
For additional commands, e-mail: commits-help@pinot.apache.org